Subject: real world problem sizes for Beowulf clusters

From: Eugene Leitl <[email-masked]>
Date: Wed, 26 Jul 2000 15:34:34 -0700 (PDT)

This has been originated by a Beowulf list subscriber's challenge as
to how frequently people are using 1000-node sized applications in
real life. I thought CCL might be interested, hence the summary.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

From: Christopher Hogue <[email-masked]>
Sender: [email-masked]
CC: beowulf <[email-masked]>
Subject: Re: new SGI Origin & Onyx 3k?
Date: Wed, 26 Jul 2000 18:51:12 -0400

Hi Folks,

Sorry Wes, I'm with Greg on this one. To work with protein structure,
folding and docking drugs, I have 216 CPUS and I could easily use 10 or
100 times more for my "production runs".  This isn't for bragging
rights. For me it's for being able to design new and better medicines
with fewer side effects.  

---------------------------------------
Christopher W.V. Hogue, Ph.D.
Samuel Lunenfeld Research Institute
Mt. Sinai Hospital 600 University Ave.
Toronto Ontario Canada M5G 1X5
(416) 586-4800 xt2866
fax (416) 586-8857

[email-masked]

http://bioinfo.mshri.on.ca

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
From: "Morton, Scott" <[email-masked]>
Sender: [email-masked]
To: "'W Bauske'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Subject: RE: new SGI Origin & Onyx 3k?
Date: Wed, 26 Jul 2000 18:14:13 -0500

Wes Bauske wrote:
>Note the "Like to have". Also, you don't address the first
>question so I'll assume you agree people don't do that unless
>it's for benchmarks from your statement.

>Benchmarks at that scale are for bragging rights. Similar to
>IBM's news releases on ASCI White. Amusing but it doesn't
>relate to production runs.

At Amerada Hess (a medium-sized oil company), we have a mildly hetrogeneous
beowulf with over 350 cpus, and I develop seismic imaging codes which I run
routinely on over 300 cpus.  These _aren't_ benchmarks.

While we aren't at 1000 cpus (yet), we're clearly well above the 4-128 cpu
range.

Scott Morton
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

From: Matthias Troyer <[email-masked]>
Sender: [email-masked]
To: [email-masked]
Subject: Re: new SGI Origin & Onyx 3k?
Date: Wed, 26 Jul 2000 17:11:33 -0600

W Bauske wrote:
> Greg Lindahl wrote:
> > > Exactly how often do you think people want to run 1000 nodes on
> > > a single problem? When was the last time you did that?
> >
> > For the customers I'd like to have, frequently.
> >
> 
> Note the "Like to have". Also, you don't address the first
> question so I'll assume you agree people don't do that unless
> it's for benchmarks from your statement.

We are actually routinely running production codes on several hundred
nodes, and are devloping codes that will need 1000 nodes AND a fast
network for a single problem. Our 500 CPU Beowulf cluster is just not 
the right choice for some problems.

Matthias Troyer

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

From: "Greg Lindahl" <[email-masked]>
Sender: [email-masked]
To: "W Bauske" <[email-masked]>, "beowulf" <[email-masked]>
Subject: RE: new SGI Origin & Onyx 3k?
Date: Wed, 26 Jul 2000 18:50:50 -0400

> > For the customers I'd like to have, frequently.
>
> Note the "Like to have". Also, you don't address the first
> question so I'll assume you agree people don't do that unless
> it's for benchmarks from your statement.

Wes, I have no interest in getting into a dicksize flamewar. All I wanted to
do was make the pithy comment that SGI shouldn't call it scalable if it only
goes small. If you think I'm unqualified to make an off-the-cuff remark,
please feel free to ignore it.

There are people who DO use 1,000+ nodes for non-benchmark purposes. I DO
work with them already. I don't think my experience is very relevant to
making comments about scalability; anyone can look at the Top500 list and
other sources and get an idea where supercomputing is going.

-- g